use crate::rtr::cache::SessionIds;

use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct State {
    session_ids: SessionIds,
    serial: u32,
}

impl State {
    pub fn session_ids(self) -> SessionIds {
        self.session_ids
    }

    pub fn serial(self) -> u32 {
        self.serial
    }
}
